KDK_PACKAGE_IS_INSTALLED(3)

NAME
kdk_package_is_installed - 检测指定包名的软件包是否正确安装

SYNOPSIS
#include <libkynetinfo.h>

extern int kdk_package_is_installed(const char *name, const char *version);

Link with -lkynetinfo.

Detailed Description
The main function of the interface is to detect whether the package with the specified package name is installed correctly.

The argument name is the package name.

The argument version is the package version.

RETURN VALUE
On success, return 0.

On error, return -1.

EXAMPLES
    #include "libkypackages.h"
    #include <stdio.h>
    static void print_package(kdk_package_t *package)
    {
        printf("包名：%s	", package->name);
        printf("版本号：%s	", package->version);
        printf("包类型：%s	", package->section);
        printf("包状态：%s	", package->status);
        printf("包大小：%lu, package->size_kb);
    }
    int main()
    {
        kdk_package_list *list = kdk_package_get_packagelist();
        printf("系统中一共%u个软件包, list->nums);
        for (size_t i = 0; i < list->nums; i ++)
        {
            print_package(list->list[i]);
        }
        kdk_package_free_packagelist(list);
        printf("Evolution是否安装：%s, kdk_package_is_installed("evolution", NULL) == 1 ? "是" : "否");
        char *version = kdk_package_get_version("evolution");
        printf("Evolution版本号：%s, version);
        free(version);
        return 0;
    }

CONFORMING TO
These functions are as per the withdrawn POSIX.1e draft specification. The following functions are Linux extensions: kdk_package_get_packagelist(), kdk_package_free_packagelist() and kdk_package_get_version().

SEE ALSO
kdk_package_get_packagelist(3), kdk_package_free_packagelist(3) and kdk_package_get_version(3).